package cn.com.poc.thirdparty.resource.demand.ai.function.entity;

import java.util.Map;

public class Parameters {

    private String type;
    private Map<String, Properties> properties;

    public Parameters(String type) {
        this.type = type;
    }

    public Parameters(String type, Map<String, Properties> properties) {
        this.type = type;
        this.properties = properties;
    }

    public String getType() {
        return type;
    }

    public Map<String, Properties> getProperties() {
        return properties;
    }

    public Parameters addProperties(String key, Properties properties) {
        if (this.properties == null) {
            this.properties = new java.util.HashMap<>();
        }
        this.properties.put(key, properties);
        return this;
    }

}
